FSTUtil.Path (Lucene 10.5.1 suggest API)
Description: declaration: package: org.apache.lucene.search.suggest.analyzing, class: FSTUtil, record: Path

Package org.apache.lucene.search.suggest.analyzing

# Record Class FSTUtil.Path<T>

java.lang.Object
java.lang.Record
org.apache.lucene.search.suggest.analyzing.FSTUtil.Path<T>

Record Components:
  `state` - Node in the automaton where path ends:
  `fstNode` - Node in the FST where path ends:
  `output` - Output of the path so far:
  `input` - Input of the path so far:

Enclosing class:
  `FSTUtil`

public static record FSTUtil.Path<T>(int state, FST.Arc<T> fstNode, T output, IntsRefBuilder input) extends Record
Holds a pair (automaton, fst) of states and accumulated output in the intersected machine.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Path(int state, FST.Arc<T> fstNode, T output, IntsRefBuilder input)`
  Creates an instance of a `Path` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `FST.Arc<T>`
  `fstNode()`
  Returns the value of the `fstNode` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `IntsRefBuilder`
  `input()`
  Returns the value of the `input` record component.
  `T`
  `output()`
  Returns the value of the `output` record component.
  `int`
  `state()`
  Returns the value of the `state` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Path

    public Path(int state, FST.Arc<T> fstNode, T output, IntsRefBuilder input)
    Creates an instance of a `Path` record class.
    Parameters:
      `state` - the value for the `state` record component
      `fstNode` - the value for the `fstNode` record component
      `output` - the value for the `output` record component
      `input` - the value for the `input` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### state

    public int state()
    Returns the value of the `state` record component.
    Returns:
      the value of the `state` record component

  - ### fstNode

    public FST.Arc<T> fstNode()
    Returns the value of the `fstNode` record component.
    Returns:
      the value of the `fstNode` record component

  - ### output

    public T output()
    Returns the value of the `output` record component.
    Returns:
      the value of the `output` record component

  - ### input

    public IntsRefBuilder input()
    Returns the value of the `input` record component.
    Returns:
      the value of the `input` record component